<header
  class="t-header"
  [ngClass]="headerThemeClass$ | async"
  (swipeup)="onSwipeUp($event)"
>
  <div
    class="t-header__backdrop"
    [@backdropCollapse]="isOpen ? 'visible' : 'hidden'"
    (click)="closeNavigation()"
  ></div>
  <div class="t-header__container">
    <div
      class="t-header__container__content"
      [ngClass]="headerTransitionClass$ | async"
      [@collapseHeader]="isOpen ? 'open' : 'collapsed'"
      (click)="openNavigation()"
      (swipedown)="onSwipeDown($event)"
    >
      <div class="t-header__context">
        <ng-container *ngIf="errorLoadinghouseholdInfo"
          >Kon informatie niet laden.</ng-container
        >
        <ng-container *ngIf="!errorLoadinghouseholdInfo">
          <ng-container
            *ngIf="
              householdInfo$ | async as householdInfo;
              else loadingHouseholdInfo
            "
          >
            Ingelogd als: <strong>{{ householdInfo.username }}</strong> &mdash;
            huishouden: <strong>{{ householdInfo.name }}</strong></ng-container
          >
          <ng-template #loadingHouseholdInfo
            >Bezig met laden...</ng-template
          ></ng-container
        >
      </div>
      <nav [@navVisibility]="isOpen ? 'visible' : 'hidden'">
        <ol class="o-nav">
          <li
            class="o-card -compact o-nav__item"
            routerLinkActive
            #rlaOverview="routerLinkActive"
            [class.-transparent]="!rlaOverview.isActive"
          >
            <a
              routerLink="/household/overview"
              class="o-card__container o-nav__link"
            >
              <div class="o-nav__text -blue">
                <mat-icon>visibility</mat-icon> Overzicht
              </div>
            </a>
          </li>
          <li
            class="o-card -compact o-nav__item"
            routerLinkActive
            #rlaEatCalendar="routerLinkActive"
            [class.-transparent]="!rlaEatCalendar.isActive"
          >
            <a
              routerLink="/household/eat-calendar"
              class="o-card__container o-nav__link"
            >
              <div class="o-nav__text -purple">
                <mat-icon>restaurant</mat-icon> Eetkalender
              </div>
            </a>
          </li>
          <li
            class="o-card -compact o-nav__item"
            routerLinkActive
            #rlaProductivity="routerLinkActive"
            [class.-transparent]="!rlaProductivity.isActive"
          >
            <a
              routerLink="/household/productivity"
              class="o-card__container o-nav__link"
            >
              <div class="o-nav__text -orange">
                <mat-icon>timer</mat-icon> Productiviteit
              </div>
            </a>
          </li>
          <li
            class="o-card -compact -last o-nav__item"
            routerLinkActive
            #rlaSettings="routerLinkActive"
            [class.-transparent]="!rlaSettings.isActive"
          >
            <a
              routerLink="/household/settings"
              class="o-card__container o-nav__link"
            >
              <div class="o-nav__text -green">
                <mat-icon>settings</mat-icon> Instellingen
              </div>
            </a>
          </li>
        </ol>
      </nav>
      <div
        class="t-header__current"
        [@breadcrumbVisibility]="isOpen ? 'hidden' : 'visible'"
      >
        <ng-container *ngIf="breadcrumb$ | async as breadcrumb">
          <ng-container *ngIf="breadcrumb[2]">
            <mat-icon svgIcon="{{ breadcrumb[0] }}"></mat-icon>
          </ng-container>
          <ng-container *ngIf="!breadcrumb[2]">
            <mat-icon>{{ breadcrumb[0] }}</mat-icon>
          </ng-container>
          {{ breadcrumb[1] }}
        </ng-container>
      </div>
    </div>
  </div>
</header>
